;;; elisp.el --- Packages and settings for elisp. -*- lexical-binding: t; -*-

;; Time-stamp: <2020-03-27T21:36:17+0100>

;;; Commentary:

;;; Code:

(require 'basics/package-management)

;; Checker for the metadata in Emacs Lisp files.
(use-package flycheck-package
  :after (flycheck)
  :config (flycheck-package-setup))

(use-package el2markdown
  :commands (el2markdown-view-buffer
             el2markdown-write-file
             el2markdown-write-readme))

(provide 'programming/elisp)
;;; elisp.el ends here
