;;; misc.el --- Miscellaneous programming languages. -*- lexical-binding: t; -*-

;; Time-stamp: <2020-03-18T14:57:26+0100>

;;; Commentary:
;; Programming languages that don't warrant a dedicated file.

;;; Code:

(require 'basics/package-management)

(use-package go-mode
  :mode ("\\.go$" . go-mode)
  )

;; Qt Modeling Language.
(use-package qml-mode
  :mode ("\\.qml$" . qml-mode)
  )

;; <https://github.com/cute-jumper/company-qml/issues/7>
;; ;; Completions for the Qt Modeling Language.
;; (use-package company-qml
;;   :after (company)
;;   :defines (company-backends)
;;   :config (add-to-list 'company-backends 'company-qml)
;;   )

(provide 'programming/misc)
;;; misc.el ends here
